# TMR_SR_PortPowerAndSettlingTime Struct Reference

`#include <serial_reader_imp.h>`

List of all members.

## Public Attributes

uint8_t | port
int16_t | readPower
int16_t | writePower
uint16_t | settlingTime

## Detailed Description

Per-port power levels and settling times. Used by TMR_SR_cmd{Get,Set}AntennaPortPowersAndSettlingTime.

## Member Data Documentation

uint8_t TMR_SR_PortPowerAndSettlingTime::port

The port number.

int16_t TMR_SR_PortPowerAndSettlingTime::readPower

The power level to use for read operations, in centidBm.

uint16_t TMR_SR_PortPowerAndSettlingTime::settlingTime

The duration to wait after switching to this port, in microseconds.

int16_t TMR_SR_PortPowerAndSettlingTime::writePower

The power level to use for write operations, in centidBm.

The documentation for this struct was generated from the following file:

- serial_reader_imp.h